
import sys
from operator import itemgetter
import networkx as nx

ns = "http://wings.isi.edu/ontology/networkdescription#"
number_of_nodes = ns + "numberOfNodes"
number_of_edges = ns + "numberOfEdges"
density = ns + "density"
connected = ns + "isConnected"
number_of_connected_components = ns + "numberOfConnectedComponents"
average_clustering_coefficient = ns + "averageClusteringCoefficient"
pajek_file_location = ns + "pajekFileLocation"
was_generated_by = "http://purl.org/net/opmv/ns#wasGeneratedBy"
was_result_of = "http://purl.org/net/opmv/types/sparql#wasResultOf"
has_endpoint = "http://purl.org/net/opmv/types/sparql#endpoint"
sparql_query = "http://purl.org/net/opmv/types/sparql#query"

if __name__ == '__main__':
    
    h=nx.read_pajek(sys.argv[1])
    
    g = nx.Graph(h)
    file = sys.argv[1]
    graph_url = sys.argv[2]
    url = "<" + graph_url + ">"
    file_location = sys.argv[3]
    wflowurl = sys.argv[4]
    endpoint = sys.argv[5]
    queryfile = sys.argv[6]
    
    print  url + " <" + number_of_nodes + '> "' + str(g.number_of_nodes()) + '"^^<http://www.w3.org/2001/XMLSchema#integer>'
    print  url + " <" + number_of_edges + '> "' + str(g.size()) + '"^^<http://www.w3.org/2001/XMLSchema#integer>'
    print  url + " <" + density + '> "' + str(nx.density(g)) + '"^^<http://www.w3.org/2001/XMLSchema#decimal>'
    print  url + " <" + average_clustering_coefficient + '> "' + str(nx.average_clustering(g)) + '"^^<http://www.w3.org/2001/XMLSchema#decimal>'
    print  url + " <" + connected + '> "' + str(nx.is_connected(g)) + '"^^<http://www.w3.org/2001/XMLSchema#boolean>'
    print  url + " <" + number_of_connected_components + '> "' + str(nx.number_connected_components(g)) + '"^^<http://www.w3.org/2001/XMLSchema#integer>'
    print  url + " <" + pajek_file_location + '> <' + file_location + ">"
    print  url + " <" + was_generated_by + '> <' + wflowurl + ">"
    print  url + " <" + was_result_of + '> ' + "_:queryRequest"
    print  "_:queryRequest" + " <" + has_endpoint + '> <' + endpoint + ">"
    print  "_:queryRequest" + " <" + sparql_query + '> <' + queryfile + ">"
    
    
