library(igraph)

args <- commandArgs(TRUE)

groups_network <- function(input_file, output_file){
  
  data <- as.matrix(read.csv(input_file,row.names=1))
  
  person.net <- data %*% t(data)
  group.net <- t(data) %*% data
  
  diag(group.net) <- NA
  diag(person.net) <- NA
  
  
  person.g <- graph.adjacency(person.net,mode="undirected",
                              weighted=NULL, diag=FALSE)
  
  
  group.g <- graph.adjacency(group.net, weighted=TRUE,
                             mode="undirected", diag=FALSE)
  
  la <- layout.fruchterman.reingold(group.g)
  e.wt <- get.edge.attribute(group.g, "weight")
  
  png(file=output_file, width=1000, height=1000, res=150)
  plot(group.g, layout=la, vertex.size=15,edge.width=e.wt,
       vertex.label=V(group.g)$name)
  dev.off()}

groups_network(args[1], args[2])
