
#install.packages("igraph")

library(igraph)

args <- commandArgs(TRUE)

people_network <- function(input_file, output_file){

  data <- as.matrix(read.csv(input_file,row.names=1))

person.net <- data %*% t(data)
group.net <- t(data) %*% data

diag(group.net) <- NA
diag(person.net) <- NA


person.g <- graph.adjacency(person.net,mode="undirected",
                            weighted=NULL, diag=FALSE)


group.g <- graph.adjacency(group.net, weighted=TRUE,
                           mode="undirected", diag=FALSE)

la <- layout.fruchterman.reingold(group.g)
e.wt <- get.edge.attribute(group.g, "weight")

png(file=output_file, width=2200, height=1700, res=150)
la <- layout.fruchterman.reingold(person.g)
e.wt <- get.edge.attribute(person.g, "weight")
plot(person.g, layout=la, vertex.size=3,edge.width=0.1,
     vertex.label=V(person.g)$name)
dev.off()}

people_network(args[1], args[2])
